## org.apache.batik.dom.svg
Class SVGOMAnimatedMarkerOrientValue.AnimatedAngle

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.AnimatedAngle

All Implemented Interfaces:
  org.w3c.dom.svg.SVGAnimatedAngle

Enclosing class:
  SVGOMAnimatedMarkerOrientValue

    protected class SVGOMAnimatedMarkerOrientValue.AnimatedAngle

extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedAngle

The `SVGAnimatedAngle` component of the marker orient value.

Constructor Summary
`protected` `SVGOMAnimatedMarkerOrientValue.AnimatedAngle()`

Method Summary
`org.w3c.dom.svg.SVGAngle` `getAnimVal()` DOM: Implements `SVGAnimatedAngle.getAnimVal()`.
`org.w3c.dom.svg.SVGAngle` `getBaseVal()` DOM: Implements `SVGAnimatedAngle.getBaseVal()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedMarkerOrientValue.AnimatedAngle

    protected SVGOMAnimatedMarkerOrientValue.AnimatedAngle()

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGAngle getBaseVal()

  DOM: Implements `SVGAnimatedAngle.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedAngle`

### getAnimVal

    public org.w3c.dom.svg.SVGAngle getAnimVal()

  DOM: Implements `SVGAnimatedAngle.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedAngle`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.